<!DOCTYPE html>
<html class="" lang="en">
<head prefix="og: http://ogp.me/ns#">
<meta charset="utf-8">
<link href="https://assets.gitlab-static.net" rel="dns-prefetch">
<link crossorigin="" href="https://assets.gitlab-static.net" rel="preconnnect">
<meta content="IE=edge" http-equiv="X-UA-Compatible">
<meta content="object" property="og:type">
<meta content="GitLab" property="og:site_name">
<meta content="Bump up DB wait time (fc6762c9) · Commits · GitLab.org / GitLab Development Kit" property="og:title">
<meta content="Get started with GitLab Rails development" property="og:description">
<meta content="/uploads/-/system/project/avatar/74823/dev_kit_logo.png" property="og:image">
<meta content="64" property="og:image:width">
<meta content="64" property="og:image:height">
<meta content="https://gitlab.com/gitlab-org/gitlab-development-kit/-/commit/fc6762c941de3ea1504d1846a66785deb25a9a86" property="og:url">
<meta content="summary" property="twitter:card">
<meta content="Bump up DB wait time (fc6762c9) · Commits · GitLab.org / GitLab Development Kit" property="twitter:title">
<meta content="Get started with GitLab Rails development" property="twitter:description">
<meta content="/uploads/-/system/project/avatar/74823/dev_kit_logo.png" property="twitter:image">

<title>Bump up DB wait time (fc6762c9) · Commits · GitLab.org / GitLab Development Kit · GitLab</title>
<meta content="Get started with GitLab Rails development" name="description">
<link rel="shortcut icon" type="image/png" href="https://gitlab.com/assets/favicon-yellow-bef6823e78fa007bd8a5fd5f432d3e1487e0bd6631717726b5029997f32cecfc.png" id="favicon" data-original-href="https://gitlab.com/assets/favicon-yellow-bef6823e78fa007bd8a5fd5f432d3e1487e0bd6631717726b5029997f32cecfc.png" />
<link rel="stylesheet" media="all" href="https://assets.gitlab-static.net/assets/application-f6593e4dee4565ff82f3af323cd221d52ccdef896072f9bb4f5ade1ecfd7b5e2.css" />
<link rel="stylesheet" media="print" href="https://assets.gitlab-static.net/assets/print-74c3df10dad473d66660c828e3aa54ca3bfeac6d8bb708643331403fe7211e60.css" />


<link rel="stylesheet" media="all" href="https://assets.gitlab-static.net/assets/highlight/themes/white-a20fa0d18cb98944b079c02ad5a6f46cb362f986ffd703fda24b3e8e2a4a8874.css" />
<script nonce="i+EHKPl4i0EJbJPO+f7Xqg==">
//<![CDATA[
window.gon={};
//]]>
</script>

<script src="https://assets.gitlab-static.net/assets/webpack/runtime.d44254e3.bundle.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/main.30fb3353.chunk.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/sentry.9ad39fdf.chunk.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/commons~pages.admin.clusters~pages.admin.clusters.destroy~pages.admin.clusters.edit~pages.admin.clus~a979c9a8.5fff157e.chunk.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/commons~pages.admin.runners~pages.analytics.productivity_analytics~pages.dashboard.issues~pages.dash~6843ec56.75e280e0.chunk.js" defer="defer"></script>
<script src="https://assets.gitlab-static.net/assets/webpack/pages.projects.commit.show.cb528752.chunk.js" defer="defer"></script>

<meta name="csrf-param" content="authenticity_token" />
<meta name="csrf-token" content="f6XoL8R1tt7b7LllkYsLQVxOh8jFpxIyHVPdIyB9nuTgY2+th2eYVfWbVDJUrTJyRZCSlKaPMM5VZxKODHWhAw==" />
<meta name="csp-nonce" content="i+EHKPl4i0EJbJPO+f7Xqg==" />
<meta content="origin-when-cross-origin" name="referrer">
<meta content="width=device-width, initial-scale=1, maximum-scale=1" name="viewport">
<meta content="#474D57" name="theme-color">
<link rel="apple-touch-icon" type="image/x-icon" href="https://assets.gitlab-static.net/assets/touch-icon-iphone-5a9cee0e8a51212e70b90c87c12f382c428870c0ff67d1eb034d884b78d2dae7.png" />
<link rel="apple-touch-icon" type="image/x-icon" href="https://assets.gitlab-static.net/assets/touch-icon-ipad-a6eec6aeb9da138e507593b464fdac213047e49d3093fc30e90d9a995df83ba3.png" sizes="76x76" />
<link rel="apple-touch-icon" type="image/x-icon" href="https://assets.gitlab-static.net/assets/touch-icon-iphone-retina-72e2aadf86513a56e050e7f0f2355deaa19cc17ed97bbe5147847f2748e5a3e3.png" sizes="120x120" />
<link rel="apple-touch-icon" type="image/x-icon" href="https://assets.gitlab-static.net/assets/touch-icon-ipad-retina-8ebe416f5313483d9c1bc772b5bbe03ecad52a54eba443e5215a22caed2a16a2.png" sizes="152x152" />
<link color="rgb(226, 67, 41)" href="https://assets.gitlab-static.net/assets/logo-d36b5212042cebc89b96df4bf6ac24e43db316143e89926c0db839ff694d2de4.svg" rel="mask-icon">
<meta content="https://assets.gitlab-static.net/assets/msapplication-tile-1196ec67452f618d39cdd85e2e3a542f76574c071051ae7effbfde01710eb17d.png" name="msapplication-TileImage">
<meta content="#30353E" name="msapplication-TileColor">



<script nonce="i+EHKPl4i0EJbJPO+f7Xqg==">
//<![CDATA[
;(function(p,l,o,w,i,n,g){if(!p[i]){p.GlobalSnowplowNamespace=p.GlobalSnowplowNamespace||[];
p.GlobalSnowplowNamespace.push(i);p[i]=function(){(p[i].q=p[i].q||[]).push(arguments)
};p[i].q=p[i].q||[];n=l.createElement(o);g=l.getElementsByTagName(o)[0];n.async=1;
n.src=w;g.parentNode.insertBefore(n,g)}}(window,document,"script","https://assets.gitlab-static.net/assets/snowplow/sp-e10fd598642f1a4dd3e9e0e026f6a1ffa3c31b8a40efd92db3f92d32873baed6.js","snowplow"));

window.snowplowOptions = {"namespace":"gl","hostname":"snowplow.trx.gitlab.net","cookieDomain":".gitlab.com","appId":"gitlab","formTracking":true,"linkClickTracking":true,"igluRegistryUrl":null}


//]]>
</script>
</head>

<body class="ui-indigo tab-width-8  gl-browser-generic gl-platform-other" data-find-file="/gitlab-org/gitlab-development-kit/-/find_file/master" data-group="" data-namespace-id="9970" data-page="projects:commit:show" data-page-type-id="fc6762c941de3ea1504d1846a66785deb25a9a86" data-project="gitlab-development-kit" data-project-id="74823">
<script nonce="i+EHKPl4i0EJbJPO+f7Xqg==">
//<![CDATA[
gl = window.gl || {};
gl.GfmAutoComplete = gl.GfmAutoComplete || {};
gl.GfmAutoComplete.dataSources = {"epics":"/gitlab-org/gitlab-development-kit/-/autocomplete_sources/epics","members":"/gitlab-org/gitlab-development-kit/-/autocomplete_sources/members?type=Commit\u0026type_id=fc6762c941de3ea1504d1846a66785deb25a9a86","issues":"/gitlab-org/gitlab-development-kit/-/autocomplete_sources/issues","mergeRequests":"/gitlab-org/gitlab-development-kit/-/autocomplete_sources/merge_requests","labels":"/gitlab-org/gitlab-development-kit/-/autocomplete_sources/labels?type=Commit\u0026type_id=fc6762c941de3ea1504d1846a66785deb25a9a86","milestones":"/gitlab-org/gitlab-development-kit/-/autocomplete_sources/milestones","commands":"/gitlab-org/gitlab-development-kit/-/autocomplete_sources/commands?type=Commit\u0026type_id=fc6762c941de3ea1504d1846a66785deb25a9a86","snippets":"/gitlab-org/gitlab-development-kit/-/autocomplete_sources/snippets"};


//]]>
</script>
<script nonce="i+EHKPl4i0EJbJPO+f7Xqg==">
//<![CDATA[
gl = window.gl || {};
gl.client = {"isGeneric":true,"isOther":true};


//]]>
</script>


<header class="navbar navbar-gitlab navbar-expand-sm js-navbar" data-qa-selector="navbar">
<a class="sr-only gl-accessibility" href="#content-body" tabindex="1">Skip to content</a>
<div class="container-fluid">
<div class="header-content">
<div class="title-container">
<h1 class="title">
<a title="Dashboard" id="logo" href="/"><svg width="24" height="24" class="tanuki-logo" viewBox="0 0 36 36">
  <path class="tanuki-shape tanuki-left-ear" fill="#e24329" d="M2 14l9.38 9v-9l-4-12.28c-.205-.632-1.176-.632-1.38 0z"/>
  <path class="tanuki-shape tanuki-right-ear" fill="#e24329" d="M34 14l-9.38 9v-9l4-12.28c.205-.632 1.176-.632 1.38 0z"/>
  <path class="tanuki-shape tanuki-nose" fill="#e24329" d="M18,34.38 3,14 33,14 Z"/>
  <path class="tanuki-shape tanuki-left-eye" fill="#fc6d26" d="M18,34.38 11.38,14 2,14 6,25Z"/>
  <path class="tanuki-shape tanuki-right-eye" fill="#fc6d26" d="M18,34.38 24.62,14 34,14 30,25Z"/>
  <path class="tanuki-shape tanuki-left-cheek" fill="#fca326" d="M2 14L.1 20.16c-.18.565 0 1.2.5 1.56l17.42 12.66z"/>
  <path class="tanuki-shape tanuki-right-cheek" fill="#fca326" d="M34 14l1.9 6.16c.18.565 0 1.2-.5 1.56L18 34.38z"/>
</svg>

<span class="logo-text d-none d-lg-block prepend-left-8">
<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 617 169"><path d="M315.26 2.97h-21.8l.1 162.5h88.3v-20.1h-66.5l-.1-142.4M465.89 136.95c-5.5 5.7-14.6 11.4-27 11.4-16.6 0-23.3-8.2-23.3-18.9 0-16.1 11.2-23.8 35-23.8 4.5 0 11.7.5 15.4 1.2v30.1h-.1m-22.6-98.5c-17.6 0-33.8 6.2-46.4 16.7l7.7 13.4c8.9-5.2 19.8-10.4 35.5-10.4 17.9 0 25.8 9.2 25.8 24.6v7.9c-3.5-.7-10.7-1.2-15.1-1.2-38.2 0-57.6 13.4-57.6 41.4 0 25.1 15.4 37.7 38.7 37.7 15.7 0 30.8-7.2 36-18.9l4 15.9h15.4v-83.2c-.1-26.3-11.5-43.9-44-43.9M557.63 149.1c-8.2 0-15.4-1-20.8-3.5V70.5c7.4-6.2 16.6-10.7 28.3-10.7 21.1 0 29.2 14.9 29.2 39 0 34.2-13.1 50.3-36.7 50.3m9.2-110.6c-19.5 0-30 13.3-30 13.3v-21l-.1-27.8h-21.3l.1 158.5c10.7 4.5 25.3 6.9 41.2 6.9 40.7 0 60.3-26 60.3-70.9-.1-35.5-18.2-59-50.2-59M77.9 20.6c19.3 0 31.8 6.4 39.9 12.9l9.4-16.3C114.5 6 97.3 0 78.9 0 32.5 0 0 28.3 0 85.4c0 59.8 35.1 83.1 75.2 83.1 20.1 0 37.2-4.7 48.4-9.4l-.5-63.9V75.1H63.6v20.1h38l.5 48.5c-5 2.5-13.6 4.5-25.3 4.5-32.2 0-53.8-20.3-53.8-63-.1-43.5 22.2-64.6 54.9-64.6M231.43 2.95h-21.3l.1 27.3v94.3c0 26.3 11.4 43.9 43.9 43.9 4.5 0 8.9-.4 13.1-1.2v-19.1c-3.1.5-6.4.7-9.9.7-17.9 0-25.8-9.2-25.8-24.6v-65h35.7v-17.8h-35.7l-.1-38.5M155.96 165.47h21.3v-124h-21.3v124M155.96 24.37h21.3V3.07h-21.3v21.3"/></svg>

</span>
</a><a class="label-link canary-badge bg-transparent" target="_blank" href="https://next.gitlab.com"><span class="color-label has-tooltip badge badge-pill green-badge">
Next
</span>
</a></h1>
<ul class="list-unstyled navbar-sub-nav">
<li class="home"><a title="Projects" class="dashboard-shortcuts-projects" href="/explore">Projects
</a></li><li class=""><a title="Groups" class="dashboard-shortcuts-groups" href="/explore/groups">Groups
</a></li><li class=""><a title="Snippets" class="dashboard-shortcuts-snippets" href="/explore/snippets">Snippets
</a></li><li>
<a title="About GitLab CE" href="/help">Help</a>
</li>
</ul>

</div>
<div class="navbar-collapse collapse">
<ul class="nav navbar-nav">
<li class="nav-item d-none d-lg-block m-auto">
<div class="search search-form" data-track-event="activate_form_input" data-track-label="navbar_search" data-track-value="">
<form class="form-inline" action="/search" accept-charset="UTF-8" method="get"><input name="utf8" type="hidden" value="&#x2713;" /><div class="search-input-container">
<div class="search-input-wrap">
<div class="dropdown" data-url="/search/autocomplete">
<input type="search" name="search" id="search" placeholder="Search or jump to…" class="search-input dropdown-menu-toggle no-outline js-search-dashboard-options" spellcheck="false" tabindex="1" autocomplete="off" data-issues-path="/dashboard/issues" data-mr-path="/dashboard/merge_requests" data-qa-selector="search_term_field" aria-label="Search or jump to…" />
<button class="hidden js-dropdown-search-toggle" data-toggle="dropdown" type="button"></button>
<div class="dropdown-menu dropdown-select js-dashboard-search-options">
<div class="dropdown-content"><ul>
<li class="dropdown-menu-empty-item">
<a>
Loading...
</a>
</li>
</ul>
</div><div class="dropdown-loading"><i aria-hidden="true" data-hidden="true" class="fa fa-spinner fa-spin"></i></div>
</div>
<svg class="s16 search-icon"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#search"></use></svg>
<svg class="s16 clear-icon js-clear-input"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#close"></use></svg>
</div>
</div>
</div>
<input type="hidden" name="group_id" id="group_id" class="js-search-group-options" />
<input type="hidden" name="project_id" id="search_project_id" value="74823" class="js-search-project-options" data-project-path="gitlab-development-kit" data-name="GitLab Development Kit" data-issues-path="/gitlab-org/gitlab-development-kit/-/issues" data-mr-path="/gitlab-org/gitlab-development-kit/-/merge_requests" data-issues-disabled="false" />
<input type="hidden" name="search_code" id="search_code" value="true" />
<input type="hidden" name="repository_ref" id="repository_ref" />
<input type="hidden" name="nav_source" id="nav_source" value="navbar" />
<div class="search-autocomplete-opts hide" data-autocomplete-path="/search/autocomplete" data-autocomplete-project-id="74823"></div>
</form></div>

</li>
<li class="nav-item d-inline-block d-lg-none">
<a title="Search" aria-label="Search" data-toggle="tooltip" data-placement="bottom" data-container="body" href="/search?project_id=74823"><svg class="s16"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#search"></use></svg>
</a></li>
<li class="nav-item header-help dropdown d-none d-md-block">
<a class="header-help-dropdown-toggle" data-toggle="dropdown" href="/help"><svg class="s16"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#question"></use></svg>
<svg class="caret-down"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#angle-down"></use></svg>
</a><div class="dropdown-menu dropdown-menu-right">
<ul>
<li>
<a href="/help">Help</a>
</li>
<li>
<a href="https://about.gitlab.com/getting-help/">Support</a>
</li>
<li>
<button class="js-shortcuts-modal-trigger" type="button">
Keyboard shortcuts
<span aria-hidden class="text-secondary float-right">?</span>
</button>
</li>

<li class="divider"></li>
<li>
<a href="https://about.gitlab.com/submit-feedback">Submit feedback</a>
</li>
<li>
<a target="_blank" class="text-nowrap" href="https://about.gitlab.com/contributing">Contribute to GitLab
</a>

</li>

</ul>

</div>
</li>
<li class="nav-item">
<div>
<a class="btn btn-sign-in" href="/users/sign_in?redirect_to_referer=yes">Sign in / Register</a>
</div>
</li>
</ul>
</div>
<button class="navbar-toggler d-block d-sm-none" type="button">
<span class="sr-only">Toggle navigation</span>
<svg class="s12 more-icon js-navbar-toggle-right"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#ellipsis_h"></use></svg>
<svg class="s12 close-icon js-navbar-toggle-left"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#close"></use></svg>
</button>
</div>
</div>
</header>

<div class="layout-page page-with-contextual-sidebar">
<div class="nav-sidebar">
<div class="nav-sidebar-inner-scroll">
<div class="context-header">
<a title="GitLab Development Kit" href="/gitlab-org/gitlab-development-kit"><div class="avatar-container rect-avatar s40 project-avatar">
<img alt="GitLab Development Kit" class="avatar s40 avatar-tile lazy" width="40" height="40" data-src="https://assets.gitlab-static.net/uploads/-/system/project/avatar/74823/dev_kit_logo.png" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" />
</div>
<div class="sidebar-context-title">
GitLab Development Kit
</div>
</a></div>
<ul class="sidebar-top-level-items qa-project-sidebar">
<li class="home"><a class="shortcuts-project rspec-project-link" data-qa-selector="project_link" href="/gitlab-org/gitlab-development-kit"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#home"></use></svg>
</div>
<span class="nav-item-name">
Project overview
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-development-kit"><strong class="fly-out-top-item-name">
Project overview
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a title="Project details" class="shortcuts-project" href="/gitlab-org/gitlab-development-kit"><span>Details</span>
</a></li><li class=""><a title="Activity" class="shortcuts-project-activity" data-qa-selector="activity_link" href="/gitlab-org/gitlab-development-kit/activity"><span>Activity</span>
</a></li><li class=""><a title="Releases" class="shortcuts-project-releases" href="/gitlab-org/gitlab-development-kit/-/releases"><span>Releases</span>
</a></li></ul>
</li><li class="active"><a class="shortcuts-tree qa-project-menu-repo" href="/gitlab-org/gitlab-development-kit/-/tree/master"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#doc-text"></use></svg>
</div>
<span class="nav-item-name" id="js-onboarding-repo-link">
Repository
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item active"><a href="/gitlab-org/gitlab-development-kit/-/tree/master"><strong class="fly-out-top-item-name">
Repository
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a href="/gitlab-org/gitlab-development-kit/-/tree/master">Files
</a></li><li class="active"><a id="js-onboarding-commits-link" href="/gitlab-org/gitlab-development-kit/-/commits/master">Commits
</a></li><li class=""><a class="qa-branches-link" id="js-onboarding-branches-link" href="/gitlab-org/gitlab-development-kit/-/branches">Branches
</a></li><li class=""><a href="/gitlab-org/gitlab-development-kit/-/tags">Tags
</a></li><li class=""><a href="/gitlab-org/gitlab-development-kit/-/graphs/master">Contributors
</a></li><li class=""><a href="/gitlab-org/gitlab-development-kit/-/network/master">Graph
</a></li><li class=""><a href="/gitlab-org/gitlab-development-kit/-/compare?from=master&amp;to=master">Compare
</a></li><li class=""><a data-qa-selector="path_locks_link" href="/gitlab-org/gitlab-development-kit/path_locks">Locked Files
</a></li>
</ul>
</li><li class=""><a class="shortcuts-issues qa-issues-item" href="/gitlab-org/gitlab-development-kit/-/issues"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#issues"></use></svg>
</div>
<span class="nav-item-name" id="js-onboarding-issues-link">
Issues
</span>
<span class="badge badge-pill count issue_counter">
228
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-development-kit/-/issues"><strong class="fly-out-top-item-name">
Issues
</strong>
<span class="badge badge-pill count issue_counter fly-out-badge">
228
</span>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a title="Issues" href="/gitlab-org/gitlab-development-kit/-/issues"><span>
List
</span>
</a></li><li class=""><a title="Boards" data-qa-selector="issue_boards_link" href="/gitlab-org/gitlab-development-kit/-/boards"><span>
Boards
</span>
</a></li><li class=""><a title="Labels" class="qa-labels-link" href="/gitlab-org/gitlab-development-kit/-/labels"><span>
Labels
</span>
</a></li><li class=""><a title="Service Desk" href="/gitlab-org/gitlab-development-kit/-/issues/service_desk">Service Desk
</a></li>
<li class=""><a title="Milestones" class="qa-milestones-link" href="/gitlab-org/gitlab-development-kit/-/milestones"><span>
Milestones
</span>
</a></li></ul>
</li><li class=""><a class="shortcuts-merge_requests" data-qa-selector="merge_requests_link" href="/gitlab-org/gitlab-development-kit/-/merge_requests"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#git-merge"></use></svg>
</div>
<span class="nav-item-name" id="js-onboarding-mr-link">
Merge Requests
</span>
<span class="badge badge-pill count merge_counter js-merge-counter">
42
</span>
</a><ul class="sidebar-sub-level-items is-fly-out-only">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-development-kit/-/merge_requests"><strong class="fly-out-top-item-name">
Merge Requests
</strong>
<span class="badge badge-pill count merge_counter js-merge-counter fly-out-badge">
42
</span>
</a></li></ul>
</li>
<li class=""><a class="shortcuts-pipelines qa-link-pipelines rspec-link-pipelines" data-qa-selector="ci_cd_link" href="/gitlab-org/gitlab-development-kit/pipelines"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#rocket"></use></svg>
</div>
<span class="nav-item-name" id="js-onboarding-pipelines-link">
CI / CD
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-development-kit/pipelines"><strong class="fly-out-top-item-name">
CI / CD
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a title="Pipelines" class="shortcuts-pipelines" href="/gitlab-org/gitlab-development-kit/pipelines"><span>
Pipelines
</span>
</a></li><li class=""><a title="Jobs" class="shortcuts-builds" href="/gitlab-org/gitlab-development-kit/-/jobs"><span>
Jobs
</span>
</a></li><li class=""><a title="Schedules" class="shortcuts-builds" href="/gitlab-org/gitlab-development-kit/pipeline_schedules"><span>
Schedules
</span>
</a></li></ul>
</li><li class=""><a data-qa-selector="dependency_list_link" href="/gitlab-org/gitlab-development-kit/-/dependencies"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#shield"></use></svg>
</div>
<span class="nav-item-name">
Security &amp; Compliance
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-development-kit/-/dependencies"><strong class="fly-out-top-item-name">
Security &amp; Compliance
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a title="Dependency List" data-qa-selector="dependency_list_link" href="/gitlab-org/gitlab-development-kit/-/dependencies"><span>Dependency List</span>
</a></li><li class=""><a title="License Compliance" data-qa-selector="licenses_list_link" href="/gitlab-org/gitlab-development-kit/-/licenses"><span>License Compliance</span>
</a></li></ul>
</li>
<li class=""><a data-qa-selector="packages_link" href="/gitlab-org/gitlab-development-kit/container_registry"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#package"></use></svg>
</div>
<span class="nav-item-name">
Packages
</span>
</a><ul class="sidebar-sub-level-items">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-development-kit/container_registry"><strong class="fly-out-top-item-name">
Packages
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a class="shortcuts-container-registry" title="Container Registry" href="/gitlab-org/gitlab-development-kit/container_registry"><span>Container Registry</span>
</a></li></ul>
</li>
<li class=""><a href="/gitlab-org/gitlab-development-kit/pipelines/charts"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#chart"></use></svg>
</div>
<span class="nav-item-name" data-qa-selector="analytics_link">
Analytics
</span>
</a><ul class="sidebar-sub-level-items" data-qa-selector="analytics_sidebar_submenu">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-development-kit/pipelines/charts"><strong class="fly-out-top-item-name">
Analytics
</strong>
</a></li><li class="divider fly-out-top-item"></li>
<li class=""><a title="CI / CD" href="/gitlab-org/gitlab-development-kit/pipelines/charts"><span>CI / CD</span>
</a></li><li class=""><a title="Code Review" href="/gitlab-org/gitlab-development-kit/-/analytics/code_reviews"><span>Code Review</span>
</a></li><li class=""><a class="shortcuts-project-insights" data-qa-selector="project_insights_link" title="Insights" href="/gitlab-org/gitlab-development-kit/insights/"><span>Insights</span>
</a></li><li class=""><a title="Issues" href="/gitlab-org/gitlab-development-kit/-/analytics/issues_analytics"><span>Issues</span>
</a></li><li class=""><a class="shortcuts-repository-charts" title="Repository" href="/gitlab-org/gitlab-development-kit/-/graphs/master/charts"><span>Repository</span>
</a></li><li class=""><a class="shortcuts-project-cycle-analytics" title="Value Stream" href="/gitlab-org/gitlab-development-kit/-/value_stream_analytics"><span>Value Stream</span>
</a></li></ul>
</li>
<li class=""><a title="Members" class="shortcuts-tree" href="/gitlab-org/gitlab-development-kit/-/settings/members"><div class="nav-icon-container">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#users"></use></svg>
</div>
<span class="nav-item-name">
Members
</span>
</a><ul class="sidebar-sub-level-items is-fly-out-only">
<li class="fly-out-top-item"><a href="/gitlab-org/gitlab-development-kit/-/project_members"><strong class="fly-out-top-item-name">
Members
</strong>
</a></li></ul>
</li><a class="toggle-sidebar-button js-toggle-sidebar qa-toggle-sidebar rspec-toggle-sidebar" role="button" title="Toggle sidebar" type="button">
<svg class="icon-angle-double-left"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#angle-double-left"></use></svg>
<svg class="icon-angle-double-right"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#angle-double-right"></use></svg>
<span class="collapse-text">Collapse sidebar</span>
</a>
<button name="button" type="button" class="close-nav-button"><svg class="s16"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#close"></use></svg>
<span class="collapse-text">Close sidebar</span>
</button>
<li class="hidden">
<a title="Activity" class="shortcuts-project-activity" href="/gitlab-org/gitlab-development-kit/activity"><span>
Activity
</span>
</a></li>
<li class="hidden">
<a title="Network" class="shortcuts-network" href="/gitlab-org/gitlab-development-kit/-/network/master">Graph
</a></li>
<li class="hidden">
<a class="shortcuts-new-issue" href="/gitlab-org/gitlab-development-kit/-/issues/new">Create a new issue
</a></li>
<li class="hidden">
<a title="Jobs" class="shortcuts-builds" href="/gitlab-org/gitlab-development-kit/-/jobs">Jobs
</a></li>
<li class="hidden">
<a title="Commits" class="shortcuts-commits" href="/gitlab-org/gitlab-development-kit/-/commits/master">Commits
</a></li>
<li class="hidden">
<a title="Issue Boards" class="shortcuts-issue-boards" href="/gitlab-org/gitlab-development-kit/-/boards">Issue Boards</a>
</li>
</ul>
</div>
</div>

<div class="content-wrapper">
<div class="mobile-overlay"></div>
<div class="alert-wrapper">









<nav class="breadcrumbs container-fluid container-limited limit-container-width" role="navigation">
<div class="breadcrumbs-container">
<button name="button" type="button" class="toggle-mobile-nav"><span class="sr-only">Open sidebar</span>
<i aria-hidden="true" data-hidden="true" class="fa fa-bars"></i>
</button><div class="breadcrumbs-links js-title-container" data-qa-selector="breadcrumb_links_content">
<ul class="list-unstyled breadcrumbs-list js-breadcrumbs-list">
<li><a class="group-path breadcrumb-item-text js-breadcrumb-item-text " href="/gitlab-org"><img class="avatar-tile lazy" width="15" height="15" data-src="https://assets.gitlab-static.net/uploads/-/system/group/avatar/9970/logo-extra-whitespace.png" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" />GitLab.org</a><svg class="s8 breadcrumbs-list-angle"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#angle-right"></use></svg></li> <li><a href="/gitlab-org/gitlab-development-kit"><img alt="GitLab Development Kit" class="avatar-tile lazy" width="15" height="15" data-src="https://assets.gitlab-static.net/uploads/-/system/project/avatar/74823/dev_kit_logo.png" src="data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw==" /><span class="breadcrumb-item-text js-breadcrumb-item-text">GitLab Development Kit</span></a><svg class="s8 breadcrumbs-list-angle"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#angle-right"></use></svg></li>
<li><a href="/gitlab-org/gitlab-development-kit/-/commits/master">Commits</a><svg class="s8 breadcrumbs-list-angle"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#angle-right"></use></svg></li>

<li>
<h2 class="breadcrumbs-sub-title"><a href="/gitlab-org/gitlab-development-kit/-/commit/fc6762c941de3ea1504d1846a66785deb25a9a86">fc6762c9</a></h2>
</li>
</ul>
</div>

</div>
</nav>

<div class="d-flex"></div>
</div>
<div class=" limit-container-width">
<div class="content" id="content-body">
<div class="flash-container flash-container-page sticky">
</div>

<div class="container-fluid container-limited limit-container-width">
<div class="page-content-header js-commit-box" data-commit-path="/gitlab-org/gitlab-development-kit/-/commit/fc6762c941de3ea1504d1846a66785deb25a9a86/branches">
<div class="header-main-content">

<strong>
Commit
<span class="commit-sha" data-qa-selector="commit_sha_content">fc6762c9</span>
</strong>
<button class="btn btn-clipboard btn-transparent" data-toggle="tooltip" data-placement="bottom" data-container="body" data-title="Copy commit SHA" data-clipboard-text="fc6762c941de3ea1504d1846a66785deb25a9a86" type="button" title="Copy commit SHA" aria-label="Copy commit SHA"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#copy-to-clipboard"></use></svg></button>
<span class="d-none d-sm-inline">authored</span>
<time class="js-timeago" title="Jan 2, 2020 10:13pm" datetime="2020-01-02T22:13:29Z" data-toggle="tooltip" data-placement="top" data-container="body">Jan 02, 2020</time>
<span>by</span>
<a href="/mkozono"><img alt="Michael Kozono&#39;s avatar" src="https://secure.gravatar.com/avatar/ddaa576b4b6933a6fb7a996088c30f6c?s=48&amp;d=identicon" class="avatar s24 d-none d-sm-inline-block" title="Michael Kozono" /></a>
<strong>
<a class="commit-author-link js-user-link" data-user-id="1144264" href="/mkozono"><span class="commit-author-name">Michael Kozono</span></a>
</strong>
<span class="user-status-emoji has-tooltip" title="Irregular hours" data-html="true" data-placement="top"><gl-emoji title="family (man,woman,girl,boy)" data-name="family_mwgb" data-unicode-version="6.0">👨‍👩‍👧‍👦</gl-emoji></span>
</div>
<div class="header-action-buttons">
<a class="btn btn-default append-right-10 d-none d-sm-none d-md-inline" href="/gitlab-org/gitlab-development-kit/-/tree/fc6762c941de3ea1504d1846a66785deb25a9a86">Browse files
</a><div class="dropdown inline">
<a class="btn btn-default dropdown-toggle qa-options-button d-md-inline" data-toggle="dropdown">
<span>Options</span>
<i aria-hidden="true" data-hidden="true" class="fa fa-caret-down"></i>
</a>
<ul class="dropdown-menu dropdown-menu-right">
<li class="d-block d-sm-none d-md-none">
<a href="/gitlab-org/gitlab-development-kit/-/tree/fc6762c941de3ea1504d1846a66785deb25a9a86">Browse Files
</a></li>
<li class="divider"></li>
<li class="dropdown-header">
Download
</li>
<li><a class="qa-email-patches" href="/gitlab-org/gitlab-development-kit/-/commit/fc6762c941de3ea1504d1846a66785deb25a9a86.patch">Email Patches</a></li>
<li><a class="qa-plain-diff" href="/gitlab-org/gitlab-development-kit/-/commit/fc6762c941de3ea1504d1846a66785deb25a9a86.diff">Plain Diff</a></li>
</ul>
</div>
</div>
</div>
<div class="commit-box" data-project-path="/gitlab-org/gitlab-development-kit">
<h3 class="commit-title">
Bump up DB wait time
</h3>
</div>
<div class="info-well">
<div class="well-segment branch-info">
<div class="icon-container commit-icon">
<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16"><path d="M8 10a2 2 0 1 0 0-4 2 2 0 0 0 0 4zm3.876-1.008a4.002 4.002 0 0 1-7.752 0A1.01 1.01 0 0 1 4 9H1a1 1 0 1 1 0-2h3c.042 0 .083.003.124.008a4.002 4.002 0 0 1 7.752 0A1.01 1.01 0 0 1 12 7h3a1 1 0 0 1 0 2h-3a1.01 1.01 0 0 1-.124-.008z"/></svg>


</div>
<span class="cgray">parent</span>
<a class="commit-sha" href="/gitlab-org/gitlab-development-kit/-/commit/ce6526930e990393eefb5e97c1c3405bfbd490f7">ce652693</a>
<div class="commit-info branches">
<div class="spinner vertical-align-middle"></div>
</div>
</div>
<div class="well-segment merge-request-info">
<div class="icon-container">
<svg xmlns="http://www.w3.org/2000/svg" height="16" width="16" viewBox="0 0 16 16"><path d="m5 5.563v4.875c1.024.4 1.75 1.397 1.75 2.563 0 1.519-1.231 2.75-2.75 2.75-1.519 0-2.75-1.231-2.75-2.75 0-1.166.726-2.162 1.75-2.563v-4.875c-1.024-.4-1.75-1.397-1.75-2.563 0-1.519 1.231-2.75 2.75-2.75 1.519 0 2.75 1.231 2.75 2.75 0 1.166-.726 2.162-1.75 2.563m-1 8.687c.69 0 1.25-.56 1.25-1.25 0-.69-.56-1.25-1.25-1.25-.69 0-1.25.56-1.25 1.25 0 .69.56 1.25 1.25 1.25m0-10c.69 0 1.25-.56 1.25-1.25 0-.69-.56-1.25-1.25-1.25-.69 0-1.25.56-1.25 1.25 0 .69.56 1.25 1.25 1.25"/><path d="m10.501 2c1.381.001 2.499 1.125 2.499 2.506v5.931c1.024.4 1.75 1.397 1.75 2.563 0 1.519-1.231 2.75-2.75 2.75-1.519 0-2.75-1.231-2.75-2.75 0-1.166.726-2.162 1.75-2.563v-5.931c0-.279-.225-.506-.499-.506v.926c0 .346-.244.474-.569.271l-2.952-1.844c-.314-.196-.325-.507 0-.71l2.952-1.844c.314-.196.569-.081.569.271v.93m1.499 12.25c.69 0 1.25-.56 1.25-1.25 0-.69-.56-1.25-1.25-1.25-.69 0-1.25.56-1.25 1.25 0 .69.56 1.25 1.25 1.25"/></svg>

</div>
<span class="commit-info merge-requests" data-project-commit-path="/gitlab-org/gitlab-development-kit/-/commit/fc6762c941de3ea1504d1846a66785deb25a9a86/merge_requests.json">
<div class="spinner vertical-align-middle"></div>
</span>
</div>
<div class="well-segment pipeline-info">
<div class="status-icon-container">
<a class="ci-status-icon-success" href="/gitlab-org/gitlab-development-kit/pipelines/106948592"><svg class="s16"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#status_success"></use></svg>
</a></div>
Pipeline
<a href="/gitlab-org/gitlab-development-kit/pipelines/106948592">#106948592</a>
passed
with stages
<div class="mr-widget-pipeline-graph">
<div class="stage-cell">
<div class="dropdown js-commit-pipeline-graph ml-1 mt-0 stage-container">
<button class="ci-status-icon-skipped has-tooltip js-builds-dropdown-button mini-pipeline-graph-dropdown-toggle" data-placement="top" data-stage-endpoint="/gitlab-org/gitlab-development-kit/pipelines/106948592/stage_ajax?stage=build" data-title="build: skipped" data-toggle="dropdown" type="button">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#status_skipped_borderless"></use></svg>
</button>
<ul class="dropdown-menu mini-pipeline-graph-dropdown-menu js-builds-dropdown-container">
<li class="js-builds-dropdown-list scrollable-menu">
<ul></ul>
</li>
<li class="js-builds-dropdown-loading hidden">
<div class="loading-container text-center">
<span aria-label="Loading" class="spinner"></span>
</div>
</li>
</ul>
</div>
<div class="dropdown js-commit-pipeline-graph ml-1 mt-0 stage-container">
<button class="ci-status-icon-success has-tooltip js-builds-dropdown-button mini-pipeline-graph-dropdown-toggle" data-placement="top" data-stage-endpoint="/gitlab-org/gitlab-development-kit/pipelines/106948592/stage_ajax?stage=test" data-title="test: passed" data-toggle="dropdown" type="button">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#status_success_borderless"></use></svg>
</button>
<ul class="dropdown-menu mini-pipeline-graph-dropdown-menu js-builds-dropdown-container">
<li class="js-builds-dropdown-list scrollable-menu">
<ul></ul>
</li>
<li class="js-builds-dropdown-loading hidden">
<div class="loading-container text-center">
<span aria-label="Loading" class="spinner"></span>
</div>
</li>
</ul>
</div>
<div class="dropdown js-commit-pipeline-graph ml-1 mt-0 stage-container">
<button class="ci-status-icon-success has-tooltip js-builds-dropdown-button mini-pipeline-graph-dropdown-toggle" data-placement="top" data-stage-endpoint="/gitlab-org/gitlab-development-kit/pipelines/106948592/stage_ajax?stage=verify" data-title="verify: passed" data-toggle="dropdown" type="button">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#status_success_borderless"></use></svg>
</button>
<ul class="dropdown-menu mini-pipeline-graph-dropdown-menu js-builds-dropdown-container">
<li class="js-builds-dropdown-list scrollable-menu">
<ul></ul>
</li>
<li class="js-builds-dropdown-loading hidden">
<div class="loading-container text-center">
<span aria-label="Loading" class="spinner"></span>
</div>
</li>
</ul>
</div>
</div>

</div>
in
56 minutes and 43 seconds
</div>
</div>

<ul class="nav-links no-top no-bottom commit-ci-menu nav nav-tabs">
<li class="active"><a href="/gitlab-org/gitlab-development-kit/-/commit/fc6762c941de3ea1504d1846a66785deb25a9a86">Changes
<span class="badge badge-pill">1</span>
</a></li><li class=""><a href="/gitlab-org/gitlab-development-kit/-/commit/fc6762c941de3ea1504d1846a66785deb25a9a86/pipelines">Pipelines
<span class="badge badge-pill js-pipelines-mr-count">1</span>
</a></li></ul>

<div class="content-block oneline-block files-changed diff-files-changed js-diff-files-changed">
<div class="files-changed-inner">
<div class="inline-parallel-buttons d-none d-sm-none d-md-block">
<a class="d-none d-sm-inline-block btn btn-default" href="/gitlab-org/gitlab-development-kit/-/commit/fc6762c941de3ea1504d1846a66785deb25a9a86?w=1">Hide whitespace changes</a>
<div class="btn-group">
<a id="inline-diff-btn" class="btn active" data-view-type="inline" href="/gitlab-org/gitlab-development-kit/-/commit/fc6762c941de3ea1504d1846a66785deb25a9a86?view=inline">Inline</a>
<a id="parallel-diff-btn" class="btn" data-view-type="parallel" href="/gitlab-org/gitlab-development-kit/-/commit/fc6762c941de3ea1504d1846a66785deb25a9a86?view=parallel">Side-by-side</a>
</div>
</div>
<div class="commit-stat-summary dropdown">
Showing
<button class="diff-stats-summary-toggler js-diff-stats-dropdown" data-display="static" data-toggle="dropdown" type="button">1 changed file<i aria-hidden="true" data-hidden="true" class="fa fa-caret-down prepend-left-5"></i></button>
<span class="diff-stats-additions-deletions-expanded" id="diff-stats">
with
<strong class="cgreen">1 addition</strong>
and
<strong class="cred">1 deletion</strong>
</span>
<div aria-describedby="diff-stats" aria-hidden="true" class="diff-stats-additions-deletions-collapsed float-right d-none d-sm-none">
<strong class="cgreen">+1</strong>
<strong class="cred">-1</strong>
</div>
<div class="dropdown-menu diff-file-changes">
<div class="dropdown-input"><input type="search" id="" class="dropdown-input-field qa-dropdown-input-field" placeholder="Search files" autocomplete="off" /><i aria-hidden="true" data-hidden="true" class="fa fa-search dropdown-input-search"></i><i aria-hidden="true" data-hidden="true" role="button" class="fa fa-times dropdown-input-clear js-dropdown-input-clear"></i></div>
<div class="dropdown-content">
<ul>
<li>
<a class="diff-changed-file" href="#32d39e3a896090363beab38a759f02686b203480" title="lib/gdk/postgresql.rb">
<svg class="s16  diff-file-changed-icon append-right-8"><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#file-modified"></use></svg>
<span class="diff-changed-file-content append-right-8">
<strong class="diff-changed-file-name">
lib/gdk/postgresql.rb
</strong>
<span class="diff-changed-file-path prepend-top-5">lib/gdk/postgresql.rb</span>
</span>
<span class="diff-changed-stats">
<span class="cgreen">+1</span>
<span class="cred">-1</span>
</span>
</a>
</li>
<li class="dropdown-menu-empty-item hidden">
<a>
No files found.
</a>
</li>
</ul>
</div>
</div>
</div>

</div>
</div>
<div class="files">
<div class="diff-file file-holder" data-blob-diff-path="/gitlab-org/gitlab-development-kit/-/blob/fc6762c941de3ea1504d1846a66785deb25a9a86/lib/gdk/postgresql.rb/diff" data-view="inline" id="32d39e3a896090363beab38a759f02686b203480">
<div class="file-title-flex-parent is-commit js-file-title">
<div class="file-header-content">
<i class="fa diff-toggle-caret fa-fw"></i>
<a href="#32d39e3a896090363beab38a759f02686b203480"><i aria-hidden="true" data-hidden="true" class="fa fa-file-text-o fa-fw"></i>
<strong class="file-title-name has-tooltip" data-container="body" data-title="lib/gdk/postgresql.rb">
lib/gdk/postgresql.rb
</strong>
</a><button class="btn btn-clipboard btn-transparent" data-toggle="tooltip" data-placement="bottom" data-container="body" data-class="btn-clipboard btn-transparent" data-title="Copy file path" data-clipboard-text="{&quot;text&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;gfm&quot;:&quot;`lib/gdk/postgresql.rb`&quot;}" type="button" title="Copy file path" aria-label="Copy file path"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#copy-to-clipboard"></use></svg></button>

</div>
<div class="file-actions d-none d-sm-block">
<a class="js-toggle-diff-comments btn active has-tooltip" title="Toggle comments for this file" href="#"><i aria-hidden="true" data-hidden="true" class="fa fa-comment"></i>
</a>
<a class="btn view-file js-view-file" href="/gitlab-org/gitlab-development-kit/-/blob/fc6762c941de3ea1504d1846a66785deb25a9a86/lib/gdk/postgresql.rb">View file @ <span class="commit-sha">fc6762c9</span></a>

</div>
</div>

<div class="diff-content">
<div class="diff-viewer" data-type="simple">
<table class="code code-commit commit-diff diff-wrap-lines js-syntax-highlight text-file" data-commit-id="fc6762c941de3ea1504d1846a66785deb25a9a86" data-noteable-type="Commit">
<tr class="line_holder match" id="">
<td class="diff-line-num unfold js-unfold old_line" data-linenumber="8">...</td><td class="diff-line-num unfold js-unfold new_line" data-linenumber="8">...</td><td class="line_content match ">@@ -8,7 +8,7 @@ module GDK</td>
</tr>
<tr class="line_holder" id="32d39e3a896090363beab38a759f02686b203480_8_8">
<td class="diff-line-num js-avatar-container old_line" data-linenumber="8">
<button name="button" type="submit" class="add-diff-note js-add-diff-note-button" data-line-code="32d39e3a896090363beab38a759f02686b203480_8_8" data-note-type="DiffNote" data-position="{&quot;base_sha&quot;:&quot;ce6526930e990393eefb5e97c1c3405bfbd490f7&quot;,&quot;start_sha&quot;:&quot;ce6526930e990393eefb5e97c1c3405bfbd490f7&quot;,&quot;head_sha&quot;:&quot;fc6762c941de3ea1504d1846a66785deb25a9a86&quot;,&quot;old_path&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;new_path&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;position_type&quot;:&quot;text&quot;,&quot;old_line&quot;:8,&quot;new_line&quot;:8}" title="Add a comment to this line"><i aria-hidden="true" data-hidden="true" class="fa fa-comment-o"></i></button>
<a data-linenumber="8" href="#32d39e3a896090363beab38a759f02686b203480_8_8"></a>
</td>
<td class="diff-line-num new_line" data-linenumber="8">
<a data-linenumber="8" href="#32d39e3a896090363beab38a759f02686b203480_8_8"></a>
</td>
<td class="line_content"><span id="LC8" class="line" lang="ruby">      <span class="n">last_error</span> <span class="o">=</span> <span class="kp">nil</span></span>
</td>
</tr>
<tr class="line_holder" id="32d39e3a896090363beab38a759f02686b203480_9_9">
<td class="diff-line-num js-avatar-container old_line" data-linenumber="9">
<button name="button" type="submit" class="add-diff-note js-add-diff-note-button" data-line-code="32d39e3a896090363beab38a759f02686b203480_9_9" data-note-type="DiffNote" data-position="{&quot;base_sha&quot;:&quot;ce6526930e990393eefb5e97c1c3405bfbd490f7&quot;,&quot;start_sha&quot;:&quot;ce6526930e990393eefb5e97c1c3405bfbd490f7&quot;,&quot;head_sha&quot;:&quot;fc6762c941de3ea1504d1846a66785deb25a9a86&quot;,&quot;old_path&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;new_path&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;position_type&quot;:&quot;text&quot;,&quot;old_line&quot;:9,&quot;new_line&quot;:9}" title="Add a comment to this line"><i aria-hidden="true" data-hidden="true" class="fa fa-comment-o"></i></button>
<a data-linenumber="9" href="#32d39e3a896090363beab38a759f02686b203480_9_9"></a>
</td>
<td class="diff-line-num new_line" data-linenumber="9">
<a data-linenumber="9" href="#32d39e3a896090363beab38a759f02686b203480_9_9"></a>
</td>
<td class="line_content"><span id="LC9" class="line" lang="ruby"></span>
</td>
</tr>
<tr class="line_holder" id="32d39e3a896090363beab38a759f02686b203480_10_10">
<td class="diff-line-num js-avatar-container old_line" data-linenumber="10">
<button name="button" type="submit" class="add-diff-note js-add-diff-note-button" data-line-code="32d39e3a896090363beab38a759f02686b203480_10_10" data-note-type="DiffNote" data-position="{&quot;base_sha&quot;:&quot;ce6526930e990393eefb5e97c1c3405bfbd490f7&quot;,&quot;start_sha&quot;:&quot;ce6526930e990393eefb5e97c1c3405bfbd490f7&quot;,&quot;head_sha&quot;:&quot;fc6762c941de3ea1504d1846a66785deb25a9a86&quot;,&quot;old_path&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;new_path&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;position_type&quot;:&quot;text&quot;,&quot;old_line&quot;:10,&quot;new_line&quot;:10}" title="Add a comment to this line"><i aria-hidden="true" data-hidden="true" class="fa fa-comment-o"></i></button>
<a data-linenumber="10" href="#32d39e3a896090363beab38a759f02686b203480_10_10"></a>
</td>
<td class="diff-line-num new_line" data-linenumber="10">
<a data-linenumber="10" href="#32d39e3a896090363beab38a759f02686b203480_10_10"></a>
</td>
<td class="line_content"><span id="LC10" class="line" lang="ruby">      <span class="n">cmd</span> <span class="o">=</span> <span class="n">psql_cmd</span> <span class="o">+</span> <span class="sx">%W[-d template1 -c </span><span class="si">#{</span><span class="s1">''</span><span class="si">}</span><span class="sx">]</span></span>
</td>
</tr>
<tr class="line_holder old" id="32d39e3a896090363beab38a759f02686b203480_11_11">
<td class="diff-line-num js-avatar-container old old_line" data-linenumber="11">
<button name="button" type="submit" class="add-diff-note js-add-diff-note-button" data-line-code="32d39e3a896090363beab38a759f02686b203480_11_11" data-line-type="old" data-note-type="DiffNote" data-position="{&quot;base_sha&quot;:&quot;ce6526930e990393eefb5e97c1c3405bfbd490f7&quot;,&quot;start_sha&quot;:&quot;ce6526930e990393eefb5e97c1c3405bfbd490f7&quot;,&quot;head_sha&quot;:&quot;fc6762c941de3ea1504d1846a66785deb25a9a86&quot;,&quot;old_path&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;new_path&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;position_type&quot;:&quot;text&quot;,&quot;old_line&quot;:11,&quot;new_line&quot;:null}" title="Add a comment to this line"><i aria-hidden="true" data-hidden="true" class="fa fa-comment-o"></i></button>
<a data-linenumber="11" href="#32d39e3a896090363beab38a759f02686b203480_11_11"></a>
</td>
<td class="diff-line-num new_line old" data-linenumber="11">
<a data-linenumber=" " href="#32d39e3a896090363beab38a759f02686b203480_11_11"></a>
</td>
<td class="line_content old"><span id="LC11" class="line" lang="ruby">      <span class="mi"><span class="idiff left right">1</span>0</span><span class="p">.</span><span class="nf">times</span> <span class="k">do</span></span>
</td>
</tr>
<tr class="line_holder new" id="32d39e3a896090363beab38a759f02686b203480_12_11">
<td class="diff-line-num js-avatar-container new old_line" data-linenumber="12">
<button name="button" type="submit" class="add-diff-note js-add-diff-note-button" data-line-code="32d39e3a896090363beab38a759f02686b203480_12_11" data-line-type="new" data-note-type="DiffNote" data-position="{&quot;base_sha&quot;:&quot;ce6526930e990393eefb5e97c1c3405bfbd490f7&quot;,&quot;start_sha&quot;:&quot;ce6526930e990393eefb5e97c1c3405bfbd490f7&quot;,&quot;head_sha&quot;:&quot;fc6762c941de3ea1504d1846a66785deb25a9a86&quot;,&quot;old_path&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;new_path&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;position_type&quot;:&quot;text&quot;,&quot;old_line&quot;:null,&quot;new_line&quot;:11}" title="Add a comment to this line"><i aria-hidden="true" data-hidden="true" class="fa fa-comment-o"></i></button>
<a data-linenumber=" " href="#32d39e3a896090363beab38a759f02686b203480_12_11"></a>
</td>
<td class="diff-line-num new new_line" data-linenumber="11">
<a data-linenumber="11" href="#32d39e3a896090363beab38a759f02686b203480_12_11"></a>
</td>
<td class="line_content new"><span id="LC11" class="line" lang="ruby">      <span class="mi"><span class="idiff left right">2</span>0</span><span class="p">.</span><span class="nf">times</span> <span class="k">do</span></span>
</td>
</tr>
<tr class="line_holder" id="32d39e3a896090363beab38a759f02686b203480_12_12">
<td class="diff-line-num js-avatar-container old_line" data-linenumber="12">
<button name="button" type="submit" class="add-diff-note js-add-diff-note-button" data-line-code="32d39e3a896090363beab38a759f02686b203480_12_12" data-note-type="DiffNote" data-position="{&quot;base_sha&quot;:&quot;ce6526930e990393eefb5e97c1c3405bfbd490f7&quot;,&quot;start_sha&quot;:&quot;ce6526930e990393eefb5e97c1c3405bfbd490f7&quot;,&quot;head_sha&quot;:&quot;fc6762c941de3ea1504d1846a66785deb25a9a86&quot;,&quot;old_path&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;new_path&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;position_type&quot;:&quot;text&quot;,&quot;old_line&quot;:12,&quot;new_line&quot;:12}" title="Add a comment to this line"><i aria-hidden="true" data-hidden="true" class="fa fa-comment-o"></i></button>
<a data-linenumber="12" href="#32d39e3a896090363beab38a759f02686b203480_12_12"></a>
</td>
<td class="diff-line-num new_line" data-linenumber="12">
<a data-linenumber="12" href="#32d39e3a896090363beab38a759f02686b203480_12_12"></a>
</td>
<td class="line_content"><span id="LC12" class="line" lang="ruby">        <span class="n">shellout</span> <span class="o">=</span> <span class="no">Shellout</span><span class="p">.</span><span class="nf">new</span><span class="p">(</span><span class="n">cmd</span><span class="p">)</span></span>
</td>
</tr>
<tr class="line_holder" id="32d39e3a896090363beab38a759f02686b203480_13_13">
<td class="diff-line-num js-avatar-container old_line" data-linenumber="13">
<button name="button" type="submit" class="add-diff-note js-add-diff-note-button" data-line-code="32d39e3a896090363beab38a759f02686b203480_13_13" data-note-type="DiffNote" data-position="{&quot;base_sha&quot;:&quot;ce6526930e990393eefb5e97c1c3405bfbd490f7&quot;,&quot;start_sha&quot;:&quot;ce6526930e990393eefb5e97c1c3405bfbd490f7&quot;,&quot;head_sha&quot;:&quot;fc6762c941de3ea1504d1846a66785deb25a9a86&quot;,&quot;old_path&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;new_path&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;position_type&quot;:&quot;text&quot;,&quot;old_line&quot;:13,&quot;new_line&quot;:13}" title="Add a comment to this line"><i aria-hidden="true" data-hidden="true" class="fa fa-comment-o"></i></button>
<a data-linenumber="13" href="#32d39e3a896090363beab38a759f02686b203480_13_13"></a>
</td>
<td class="diff-line-num new_line" data-linenumber="13">
<a data-linenumber="13" href="#32d39e3a896090363beab38a759f02686b203480_13_13"></a>
</td>
<td class="line_content"><span id="LC13" class="line" lang="ruby">        <span class="n">shellout</span><span class="p">.</span><span class="nf">run</span></span>
</td>
</tr>
<tr class="line_holder" id="32d39e3a896090363beab38a759f02686b203480_14_14">
<td class="diff-line-num js-avatar-container old_line" data-linenumber="14">
<button name="button" type="submit" class="add-diff-note js-add-diff-note-button" data-line-code="32d39e3a896090363beab38a759f02686b203480_14_14" data-note-type="DiffNote" data-position="{&quot;base_sha&quot;:&quot;ce6526930e990393eefb5e97c1c3405bfbd490f7&quot;,&quot;start_sha&quot;:&quot;ce6526930e990393eefb5e97c1c3405bfbd490f7&quot;,&quot;head_sha&quot;:&quot;fc6762c941de3ea1504d1846a66785deb25a9a86&quot;,&quot;old_path&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;new_path&quot;:&quot;lib/gdk/postgresql.rb&quot;,&quot;position_type&quot;:&quot;text&quot;,&quot;old_line&quot;:14,&quot;new_line&quot;:14}" title="Add a comment to this line"><i aria-hidden="true" data-hidden="true" class="fa fa-comment-o"></i></button>
<a data-linenumber="14" href="#32d39e3a896090363beab38a759f02686b203480_14_14"></a>
</td>
<td class="diff-line-num new_line" data-linenumber="14">
<a data-linenumber="14" href="#32d39e3a896090363beab38a759f02686b203480_14_14"></a>
</td>
<td class="line_content"><span id="LC14" class="line" lang="ruby">        <span class="n">last_error</span> <span class="o">=</span> <span class="n">shellout</span><span class="p">.</span><span class="nf">read_stderr</span></span>
</td>
</tr>

<tr class="line_holder">
<td class="diff-line-num unfold js-unfold js-unfold-bottom old_line" data-linenumber="14">...</td><td class="diff-line-num unfold js-unfold js-unfold-bottom new_line" data-linenumber="14">...</td><td class="line_content match "></td>
</tr>
</table>


</div>

</div>

</div>

</div>

<div class="limited-width-notes">
<ul class="notes main-notes-list timeline" id="notes-list">

</ul>
<div class="note-edit-form">
<form class="edit-note common-note-form js-quick-submit" action="#" accept-charset="UTF-8" method="post"><input name="utf8" type="hidden" value="&#x2713;" /><input type="hidden" name="_method" value="put" /><input type="hidden" name="authenticity_token" value="suwzpBlUHjZeE5kLWTfYyiDZh3UuJ4zOjUpjEVVZ0B0tKrQmWkYwvXBkdFycEeH5OQeSKU0PrjLFfqy8eVHv+g==" /><input type="hidden" name="target_id" id="target_id" value="" class="js-form-target-id" />
<input type="hidden" name="target_type" id="target_type" value="" class="js-form-target-type" />
<div class="md-area position-relative">
<div class="md-header">
<ul class="nav nav-tabs nav-links clearfix">
<li class="md-header-tab active">
<button class="js-md-write-button" tabindex="-1">
Write
</button>
</li>
<li class="md-header-tab">
<button class="js-md-preview-button" tabindex="-1">
Preview
</button>
</li>
<li class="md-header-toolbar active">
<div class="md-header-toolbar active">
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="**" data-container="body" title="Add bold text" aria-label="Add bold text"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#bold"></use></svg></button>
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="*" data-container="body" title="Add italic text" aria-label="Add italic text"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#italic"></use></svg></button>
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="&gt; " data-md-prepend="true" data-container="body" title="Insert a quote" aria-label="Insert a quote"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#quote"></use></svg></button>
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="`" data-md-block="```" data-container="body" title="Insert code" aria-label="Insert code"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#code"></use></svg></button>
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="[{text}](url)" data-md-select="url" data-container="body" title="Add a link" aria-label="Add a link"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#link"></use></svg></button>
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="* " data-md-prepend="true" data-container="body" title="Add a bullet list" aria-label="Add a bullet list"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#list-bulleted"></use></svg></button>
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="1. " data-md-prepend="true" data-container="body" title="Add a numbered list" aria-label="Add a numbered list"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#list-numbered"></use></svg></button>
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="* [ ] " data-md-prepend="true" data-container="body" title="Add a task list" aria-label="Add a task list"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#list-task"></use></svg></button>
<button type="button" class="toolbar-btn js-md has-tooltip" tabindex="-1" data-md-tag="| header | header |
| ------ | ------ |
| cell | cell |
| cell | cell |" data-md-prepend="true" data-container="body" title="Add a table" aria-label="Add a table"><svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#table"></use></svg></button>
<button aria-label="Go full screen" class="toolbar-btn toolbar-fullscreen-btn js-zen-enter has-tooltip" data-container="body" tabindex="-1" title="Go full screen" type="button">
<svg><use xlink:href="https://gitlab.com/assets/icons-08baceaa8b3d86902032f77e02487f6fb85bad88ef0e20d42440fe83757c50ab.svg#screen-full"></use></svg>
</button>
</div>

</li>
</ul>
</div>
<div class="md-write-holder">
<div class="zen-backdrop">
<textarea name="note[note]" id="note_note" class="note-textarea js-note-text js-task-list-field js-gfm-input js-autosize markdown-area" placeholder="Write a comment or drag your files here…"></textarea>
<a class="zen-control zen-control-leave js-zen-leave" href="#">
<i aria-hidden="true" data-hidden="true" class="fa fa-compress"></i>
</a>
</div>

<div class="comment-toolbar clearfix">
<div class="toolbar-text">
<a target="_blank" tabindex="-1" href="/help/user/markdown">Markdown</a>
is
supported
</div>
<span class="uploading-container">
<span class="uploading-progress-container hide">
<i aria-hidden="true" data-hidden="true" class="fa fa-file-image-o toolbar-button-icon"></i>
<span class="attaching-file-message">
</span>
<span class="uploading-progress">0%</span>
<span class="uploading-spinner">
<div class="toolbar-button-icon spinner align-text-top"></div>
</span>
</span>
<span class="uploading-error-container hide">
<span class="uploading-error-icon">
<i aria-hidden="true" data-hidden="true" class="fa fa-file-image-o toolbar-button-icon"></i>
</span>
<span class="uploading-error-message">
</span>
<button class="retry-uploading-link" type="button">Try again</button>
or
<button class="attach-new-file markdown-selector" type="button">attach a new file</button>
</span>
<button class="markdown-selector button-attach-file btn-link" tabindex="-1" type="button">
<i aria-hidden="true" data-hidden="true" class="fa fa-file-image-o toolbar-button-icon"></i><span class="text-attach-file">Attach a file</span></button>
<button class="btn btn-default btn-sm hide button-cancel-uploading-files" type="button">Cancel</button>
</span>
</div>


</div>
<div class="md md-preview-holder js-md-preview hide" data-url="/gitlab-org/gitlab-development-kit/preview_markdown"></div>
<div class="referenced-commands hide"></div>
<div class="referenced-users hide">
<span>
<i aria-hidden="true" data-hidden="true" class="fa fa-exclamation-triangle"></i>
You are about to add
<strong>
<span class="js-referenced-users-count">0</span>
people
</strong>
to the discussion. Proceed with caution.
</span>
</div>
</div>
<div class="note-form-actions clearfix">
<div class="settings-message note-edit-warning js-finish-edit-warning">
Finish editing this message first!
</div>
<input type="submit" name="commit" value="Save comment" class="btn btn-nr btn-success js-comment-save-button" data-disable-with="Save comment" />
<button class="btn btn-nr btn-cancel note-edit-cancel" type="button">
Cancel
</button>
</div>
</form></div>

<div class="disabled-comment text-center prepend-top-default">
Please <a class="js-register-link" href="/users/sign_in?redirect_to_referer=yes#register-pane">register</a> or <a class="js-sign-in-link" href="/users/sign_in?redirect_to_referer=yes">sign in</a> to comment
</div>
<script class="js-notes-data" type="application/json">{"notesUrl":"/gitlab-org/gitlab-development-kit/noteable/commit/fc6762c941de3ea1504d1846a66785deb25a9a86/notes","notesIds":[],"now":1586044864,"diffView":"inline","enableGFM":{"emojis":true,"members":true,"issues":true,"mergeRequests":true,"epics":true,"milestones":true,"labels":true}}</script>

</div>
</div>

</div>
</div>
</div>
</div>




</body>
</html>

